Bug 409293 - FEATURE REQUEST: Easily backup/export Kontact data (kmail, calendar, contacts, etc.) for import/restoration on another PC (or a restored PC).
Summary: FEATURE REQUEST: Easily backup/export Kontact data (kmail, calendar, contacts...
Status: REOPENED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.11.2
Platform: Neon Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-28 23:22 UTC by Unknown
Modified: 2019-07-04 21:49 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
pim settings exporter on target PC as I try to import the data. (232.03 KB, image/png)
2019-07-02 18:12 UTC, Unknown
Details
pim settings exporter on target PC as I try to import the data (part 2). (264.69 KB, image/png)
2019-07-02 18:16 UTC, Unknown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Unknown 2019-06-28 23:22:27 UTC
SUMMARY
In order to avoid setting up and configuring Kontact and subsequent components every time it's installed on a new PC, I'm requesting a feature that will easily export all Kontact data into a single file or folder, which could be put on a flash drive (or cloud storage) and transferred to another PC where it could easily be re-imported into Kontact.

STEPS TO perform
1. Somewhere in Kontact menu would be an action to export Kontact data. The user could specify the destination, and Kontact would export all configuration, email, calendar, todo, journal, etc. data into that location (either in a single packaged file or folder, preferably the former).
2. Move the exported file/folder to another PC.
3. Open Kontact menu on the new PC and there would be an action to import Kontact data, which would import the data into Kontact, making set-up on a new PC a breeze.

ADDITIONAL INFORMATION
Suggested while using Kontact 5.11.2 on KDE Neon 5.16.2
Comment 1 Laurent Montel 2019-06-29 08:18:49 UTC
yep pim-setting-exporter
Comment 2 avlas 2019-07-01 16:20:46 UTC
(In reply to Laurent Montel from comment #1)
> yep pim-setting-exporter

but that's only settings, right? as I understand it, there is no way one can export (import) everything to (from) a single compressed file
Comment 3 Unknown 2019-07-01 22:46:48 UTC
(In reply to avlas from comment #2)
> (In reply to Laurent Montel from comment #1)
> > yep pim-setting-exporter
> 
> but that's only settings, right? as I understand it, there is no way one can
> export (import) everything to (from) a single compressed file

That's exactly my point. There's not seamless, easy way to one-click export everything to a single compressed file and one-click re-import everything to a new Kontact install.
Comment 4 Laurent Montel 2019-07-02 04:58:04 UTC
(In reply to Jesse DuBord from comment #3)
> (In reply to avlas from comment #2)
> > (In reply to Laurent Montel from comment #1)
> > > yep pim-setting-exporter
> > 
> > but that's only settings, right? as I understand it, there is no way one can
> > export (import) everything to (from) a single compressed file
> 
> That's exactly my point. There's not seamless, easy way to one-click export
> everything to a single compressed file and one-click re-import everything to
> a new Kontact install.

???
you use pim-setting-exporter for importing/exporting settings/data etc.
you open it for importing all on new computer.
Comment 5 Unknown 2019-07-02 18:10:32 UTC
(In reply to Laurent Montel from comment #4)
> (In reply to Jesse DuBord from comment #3)
> > (In reply to avlas from comment #2)
> > > (In reply to Laurent Montel from comment #1)
> > > > yep pim-setting-exporter
> > > 
> > > but that's only settings, right? as I understand it, there is no way one can
> > > export (import) everything to (from) a single compressed file
> > 
> > That's exactly my point. There's not seamless, easy way to one-click export
> > everything to a single compressed file and one-click re-import everything to
> > a new Kontact install.
> 
> ???
> you use pim-setting-exporter for importing/exporting settings/data etc.
> you open it for importing all on new computer.

Ideally, the expected behavior is what you're describing. When I take my backed up compressed file to another computer and import the data, it asks me to specify the folder. That is not "seamless". My expectation would be that it imports everything just as I had it, without needing to specify new folders for the email locations. It should just create the same set-up as the former Kontact without me needing to specify where to put each email folder. I'm attaching screenshots to show what I'm talking about; they are from the target PC where I tried importing Kontact.
Comment 6 Unknown 2019-07-02 18:12:00 UTC
Created attachment 121291 [details]
pim settings exporter on target PC as I try to import the data.

As you can see, it's asking me to specify the folder. I believe this should not be the default behavior. My expected behavior would be that it creates an identical set-up to the source Kontact program without needing me to specify anything.
Comment 7 Unknown 2019-07-02 18:16:01 UTC
Created attachment 121292 [details]
pim settings exporter on target PC as I try to import the data (part 2).

When you choose the folder, there are no IMAP or Online account folders to choose from; it forces you to choose a default local folder. I believe this is an issue, as the expected behavior shouldn't require the user to choose folders at all. It should configure a set-up automatically that's identical to the source program without the user needing to specify folders, especially when the folders aren't even there. This ends up taking longer to import the data than it does to simply configure everything manually without exporting/importing from another PC.
Comment 8 Laurent Montel 2019-07-03 04:51:39 UTC
(In reply to Jesse DuBord from comment #6)
> Created attachment 121291 [details]
> pim settings exporter on target PC as I try to import the data.
> 
> As you can see, it's asking me to specify the folder. I believe this should
> not be the default behavior. My expected behavior would be that it creates
> an identical set-up to the source Kontact program without needing me to
> specify anything.

Indeed but akonadi doesn't allow it.
We can't duplicate it directly we must to recreate it.
I fixed a lot of bug for reducing to ask this info but it's not possible to reduce all.
Comment 9 Unknown 2019-07-03 06:18:31 UTC
> Indeed but akonadi doesn't allow it.
> We can't duplicate it directly we must to recreate it.
> I fixed a lot of bug for reducing to ask this info but it's not possible to
> reduce all.

So what is the expected behavior from the developer's end. When importing a compressed file, and when it says "please choose a folder" for specified email folder, but no folder exists, what are you expecting us to do?
Comment 10 Laurent Montel 2019-07-03 07:30:51 UTC
(In reply to Jesse DuBord from comment #9)
> > Indeed but akonadi doesn't allow it.
> > We can't duplicate it directly we must to recreate it.
> > I fixed a lot of bug for reducing to ask this info but it's not possible to
> > reduce all.
> 
> So what is the expected behavior from the developer's end. When importing a
> compressed file, and when it says "please choose a folder" for specified
> email folder, but no folder exists, what are you expecting us to do?

By default you have a folder, if you don't have default inbox/outbox etc it's a bug :)
Comment 11 Unknown 2019-07-03 15:40:19 UTC
(In reply to Laurent Montel from comment #10)
> (In reply to Jesse DuBord from comment #9)
> > > Indeed but akonadi doesn't allow it.
> > > We can't duplicate it directly we must to recreate it.
> > > I fixed a lot of bug for reducing to ask this info but it's not possible to
> > > reduce all.
> > 
> > So what is the expected behavior from the developer's end. When importing a
> > compressed file, and when it says "please choose a folder" for specified
> > email folder, but no folder exists, what are you expecting us to do?
> 
> By default you have a folder, if you don't have default inbox/outbox etc
> it's a bug :)

1. So you're expecting users to assign their Gmail (IMAP) folders to the local folder, when the default behavior when Kontact adds a new account is to create a new IMAP folder scheme?

2. What if I have multiple email addresses I manage with Kmail, not just one? I have my personal one, and my business one. How am I expected to import both?

3. If Akonadi has the ability to create folders upon a new account creation, why can't the same processes be used when importing accounts?

I feel there are solutions to this that aren't implemented, so I'm re-opening this bug. I greatly appreciate Kontact/Kmail as a product and all of the hard work you're doing. There is a solution that can easily satisfy the end-user experience, I feel we just need to find the right one to get there. As of right now the implementation simply doesn't work with the pim setting exporter, specifically during import of the data. Needing to specify folders instead of a more straight-forward import approach (e.g. "Oh, this is how it was set up on your source version of Kontact? Okay, we'll set it up just like it was using the export file you provided". Simple by default, powerful when needed, right? IMO, simplicity should be the goal of the importing process.

It's less time for me to simply add the accounts manually than to use a tool that seems to offer a quicker and simpler set-up experience.
Comment 12 Unknown 2019-07-03 15:41:51 UTC
If I need to create a separate bug for Akonadi to help this process along and reference it, here, I can do that. Keep in mind I'm not a developer, I'm just an open-source user who loves what you all do, so I'm trying to contribute with the best, most constructive feedback that I can. :)
Comment 13 Laurent Montel 2019-07-04 04:55:22 UTC
(In reply to Jesse DuBord from comment #11)
> (In reply to Laurent Montel from comment #10)
> > (In reply to Jesse DuBord from comment #9)
> > > > Indeed but akonadi doesn't allow it.
> > > > We can't duplicate it directly we must to recreate it.
> > > > I fixed a lot of bug for reducing to ask this info but it's not possible to
> > > > reduce all.
> > > 
> > > So what is the expected behavior from the developer's end. When importing a
> > > compressed file, and when it says "please choose a folder" for specified
> > > email folder, but no folder exists, what are you expecting us to do?
> > 
> > By default you have a folder, if you don't have default inbox/outbox etc
> > it's a bug :)
> 
> 1. So you're expecting users to assign their Gmail (IMAP) folders to the
> local folder, when the default behavior when Kontact adds a new account is
> to create a new IMAP folder scheme?

Why ???? it's an imap account => when we will sync resource it will create folders...

> 
> 2. What if I have multiple email addresses I manage with Kmail, not just
> one? I have my personal one, and my business one. How am I expected to
> import both?

What is the problem ? When you export them you export all emails/accounts.


> 
> 3. If Akonadi has the ability to create folders upon a new account creation,
> why can't the same processes be used when importing accounts?

I don't understand your problem here ? 


> 
> I feel there are solutions to this that aren't implemented

Really ?:) good :)

, so I'm
> re-opening this bug. I greatly appreciate Kontact/Kmail as a product and all
> of the hard work you're doing. There is a solution that can easily satisfy
> the end-user experience, I feel we just need to find the right one to get
> there. As of right now the implementation simply doesn't work with the pim
> setting exporter, specifically during import of the data. Needing to specify
> folders instead of a more straight-forward import approach (e.g. "Oh, this
> is how it was set up on your source version of Kontact? Okay, we'll set it
> up just like it was using the export file you provided". Simple by default,
> powerful when needed, right? IMO, simplicity should be the goal of the
> importing process.
> 
> It's less time for me to simply add the accounts manually than to use a tool
> that seems to offer a quicker and simpler set-up experience.
Comment 14 Unknown 2019-07-04 06:17:46 UTC
(In reply to Laurent Montel from comment #13)
> (In reply to Jesse DuBord from comment #11)
> > (In reply to Laurent Montel from comment #10)
> > > (In reply to Jesse DuBord from comment #9)
> > > > > Indeed but akonadi doesn't allow it.
> > > > > We can't duplicate it directly we must to recreate it.
> > > > > I fixed a lot of bug for reducing to ask this info but it's not possible to
> > > > > reduce all.
> > > > 
> > > > So what is the expected behavior from the developer's end. When importing a
> > > > compressed file, and when it says "please choose a folder" for specified
> > > > email folder, but no folder exists, what are you expecting us to do?
> > > 
> > > By default you have a folder, if you don't have default inbox/outbox etc
> > > it's a bug :)
> > 
> > 1. So you're expecting users to assign their Gmail (IMAP) folders to the
> > local folder, when the default behavior when Kontact adds a new account is
> > to create a new IMAP folder scheme?
> 
> Why ???? it's an imap account => when we will sync resource it will create
> folders...
> 
> > 
> > 2. What if I have multiple email addresses I manage with Kmail, not just
> > one? I have my personal one, and my business one. How am I expected to
> > import both?
> 
> What is the problem ? When you export them you export all emails/accounts.
> 
> 
> > 
> > 3. If Akonadi has the ability to create folders upon a new account creation,
> > why can't the same processes be used when importing accounts?
> 
> I don't understand your problem here ? 
> 
> 
> > 
> > I feel there are solutions to this that aren't implemented
> 
> Really ?:) good :)
> 
> , so I'm
> > re-opening this bug. I greatly appreciate Kontact/Kmail as a product and all
> > of the hard work you're doing. There is a solution that can easily satisfy
> > the end-user experience, I feel we just need to find the right one to get
> > there. As of right now the implementation simply doesn't work with the pim
> > setting exporter, specifically during import of the data. Needing to specify
> > folders instead of a more straight-forward import approach (e.g. "Oh, this
> > is how it was set up on your source version of Kontact? Okay, we'll set it
> > up just like it was using the export file you provided". Simple by default,
> > powerful when needed, right? IMO, simplicity should be the goal of the
> > importing process.
> > 
> > It's less time for me to simply add the accounts manually than to use a tool
> > that seems to offer a quicker and simpler set-up experience.

So I want to help be a part of the solution. What will help resolve this matter, effectively?
Comment 15 Unknown 2019-07-04 21:49:46 UTC
Since the essential message in your replies seem to be "Akonadi can't do that, so it can't be done," I've submitted a bug to the Akonadi project hoping they can offer a more user-friendly solution than to manually choose and merge all email folders into the same local folders, eliminating easy Management of multiple email accounts: https://bugs.kde.org/show_bug.cgi?id=409509